<template>
  <el-checkbox-group :value="value" @input="changeAction">
    <el-checkbox-button
      v-for="(i,index) in funcPermissList"
      :key="index"
      :label="i.viewPermission"
    >{{ i.name }}</el-checkbox-button>
  </el-checkbox-group>
</template>

<script>
import { getFuncPermission } from './action'
export default {
  model: {
    prop: 'value',
    event: 'change'
  },
  props: {
    value: {
      type: Array
    }
  },
  data() {
    return { funcPermissList: [] }
  },
  mounted() {
    this.getFuncPermissionAction()
  },
  methods: {
    changeAction: function(e) {
      console.log(e)
      this.$emit('change', e)
    },
    getFuncPermissionAction: function() {
      getFuncPermission().then(res => {
        if (res.status === 'OK') {
          this.funcPermissList = res.data
        }
      })
    }
  }
}
</script>
